"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminApi = exports.AdminApiFactory = exports.AdminApiFp = exports.AdminApiAxiosParamCreator = void 0;
/* tslint:disable */
/* eslint-disable */
/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
var axios_1 = require("axios");
// Some imports not used depending on template conditions
// @ts-ignore
var base_1 = require("../base");
/**
 * AdminApi - axios parameter creator
 * @export
 */
var AdminApiAxiosParamCreator = function (configuration) {
    var _this = this;
    return {
        /**
         *
         * @summary Adopt unadopted files as a repository
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminAdoptRepository: function (owner, repo, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'owner' is not null or undefined
                            if (owner === null || owner === undefined) {
                                throw new base_1.RequiredError('owner', 'Required parameter owner was null or undefined when calling adminAdoptRepository.');
                            }
                            // verify required parameter 'repo' is not null or undefined
                            if (repo === null || repo === undefined) {
                                throw new base_1.RequiredError('repo', 'Required parameter repo was null or undefined when calling adminAdoptRepository.');
                            }
                            localVarPath = "/admin/unadopted/{owner}/{repo}"
                                .replace("{" + "owner" + "}", encodeURIComponent(String(owner)))
                                .replace("{" + "repo" + "}", encodeURIComponent(String(repo)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Create an organization
         * @param {CreateOrgOption} body
         * @param {string} username username of the user that will own the created organization
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateOrg: function (body, username, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions, needsSerialization;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'body' is not null or undefined
                            if (body === null || body === undefined) {
                                throw new base_1.RequiredError('body', 'Required parameter body was null or undefined when calling adminCreateOrg.');
                            }
                            // verify required parameter 'username' is not null or undefined
                            if (username === null || username === undefined) {
                                throw new base_1.RequiredError('username', 'Required parameter username was null or undefined when calling adminCreateOrg.');
                            }
                            localVarPath = "/admin/users/{username}/orgs"
                                .replace("{" + "username" + "}", encodeURIComponent(String(username)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            localVarHeaderParameter['Content-Type'] = 'application/json';
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            needsSerialization = (typeof body !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
                            localVarRequestOptions.data = needsSerialization ? JSON.stringify(body !== undefined ? body : {}) : (body || "");
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Add a public key on behalf of a user
         * @param {string} username username of the user
         * @param {CreateKeyOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreatePublicKey: function (username, body, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions, needsSerialization;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'username' is not null or undefined
                            if (username === null || username === undefined) {
                                throw new base_1.RequiredError('username', 'Required parameter username was null or undefined when calling adminCreatePublicKey.');
                            }
                            localVarPath = "/admin/users/{username}/keys"
                                .replace("{" + "username" + "}", encodeURIComponent(String(username)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            localVarHeaderParameter['Content-Type'] = 'application/json';
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            needsSerialization = (typeof body !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
                            localVarRequestOptions.data = needsSerialization ? JSON.stringify(body !== undefined ? body : {}) : (body || "");
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Create a repository on behalf of a user
         * @param {CreateRepoOption} body
         * @param {string} username username of the user. This user will own the created repository
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateRepo: function (body, username, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions, needsSerialization;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'body' is not null or undefined
                            if (body === null || body === undefined) {
                                throw new base_1.RequiredError('body', 'Required parameter body was null or undefined when calling adminCreateRepo.');
                            }
                            // verify required parameter 'username' is not null or undefined
                            if (username === null || username === undefined) {
                                throw new base_1.RequiredError('username', 'Required parameter username was null or undefined when calling adminCreateRepo.');
                            }
                            localVarPath = "/admin/users/{username}/repos"
                                .replace("{" + "username" + "}", encodeURIComponent(String(username)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            localVarHeaderParameter['Content-Type'] = 'application/json';
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            needsSerialization = (typeof body !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
                            localVarRequestOptions.data = needsSerialization ? JSON.stringify(body !== undefined ? body : {}) : (body || "");
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Create a user
         * @param {CreateUserOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateUser: function (body, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions, needsSerialization;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/admin/users";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            localVarHeaderParameter['Content-Type'] = 'application/json';
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            needsSerialization = (typeof body !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
                            localVarRequestOptions.data = needsSerialization ? JSON.stringify(body !== undefined ? body : {}) : (body || "");
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List cron tasks
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCronList: function (page, limit, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/admin/cron";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (page !== undefined) {
                                localVarQueryParameter['page'] = page;
                            }
                            if (limit !== undefined) {
                                localVarQueryParameter['limit'] = limit;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Run cron task
         * @param {string} task task to run
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCronRun: function (task, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'task' is not null or undefined
                            if (task === null || task === undefined) {
                                throw new base_1.RequiredError('task', 'Required parameter task was null or undefined when calling adminCronRun.');
                            }
                            localVarPath = "/admin/cron/{task}"
                                .replace("{" + "task" + "}", encodeURIComponent(String(task)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'POST' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Delete unadopted files
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUnadoptedRepository: function (owner, repo, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'owner' is not null or undefined
                            if (owner === null || owner === undefined) {
                                throw new base_1.RequiredError('owner', 'Required parameter owner was null or undefined when calling adminDeleteUnadoptedRepository.');
                            }
                            // verify required parameter 'repo' is not null or undefined
                            if (repo === null || repo === undefined) {
                                throw new base_1.RequiredError('repo', 'Required parameter repo was null or undefined when calling adminDeleteUnadoptedRepository.');
                            }
                            localVarPath = "/admin/unadopted/{owner}/{repo}"
                                .replace("{" + "owner" + "}", encodeURIComponent(String(owner)))
                                .replace("{" + "repo" + "}", encodeURIComponent(String(repo)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'DELETE' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Delete a user
         * @param {string} username username of user to delete
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUser: function (username, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'username' is not null or undefined
                            if (username === null || username === undefined) {
                                throw new base_1.RequiredError('username', 'Required parameter username was null or undefined when calling adminDeleteUser.');
                            }
                            localVarPath = "/admin/users/{username}"
                                .replace("{" + "username" + "}", encodeURIComponent(String(username)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'DELETE' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Delete a user's public key
         * @param {string} username username of user
         * @param {number} id id of the key to delete
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUserPublicKey: function (username, id, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'username' is not null or undefined
                            if (username === null || username === undefined) {
                                throw new base_1.RequiredError('username', 'Required parameter username was null or undefined when calling adminDeleteUserPublicKey.');
                            }
                            // verify required parameter 'id' is not null or undefined
                            if (id === null || id === undefined) {
                                throw new base_1.RequiredError('id', 'Required parameter id was null or undefined when calling adminDeleteUserPublicKey.');
                            }
                            localVarPath = "/admin/users/{username}/keys/{id}"
                                .replace("{" + "username" + "}", encodeURIComponent(String(username)))
                                .replace("{" + "id" + "}", encodeURIComponent(String(id)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'DELETE' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Edit an existing user
         * @param {string} username username of user to edit
         * @param {EditUserOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminEditUser: function (username, body, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions, needsSerialization;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'username' is not null or undefined
                            if (username === null || username === undefined) {
                                throw new base_1.RequiredError('username', 'Required parameter username was null or undefined when calling adminEditUser.');
                            }
                            localVarPath = "/admin/users/{username}"
                                .replace("{" + "username" + "}", encodeURIComponent(String(username)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'PATCH' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            localVarHeaderParameter['Content-Type'] = 'application/json';
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            needsSerialization = (typeof body !== "string") || localVarRequestOptions.headers['Content-Type'] === 'application/json';
                            localVarRequestOptions.data = needsSerialization ? JSON.stringify(body !== undefined ? body : {}) : (body || "");
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List all organizations
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminGetAllOrgs: function (page, limit, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/admin/orgs";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (page !== undefined) {
                                localVarQueryParameter['page'] = page;
                            }
                            if (limit !== undefined) {
                                localVarQueryParameter['limit'] = limit;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List all users
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminGetAllUsers: function (page, limit, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/admin/users";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (page !== undefined) {
                                localVarQueryParameter['page'] = page;
                            }
                            if (limit !== undefined) {
                                localVarQueryParameter['limit'] = limit;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List unadopted repositories
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {string} [pattern] pattern of repositories to search for
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminUnadoptedList: function (page, limit, pattern, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/admin/unadopted";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (page !== undefined) {
                                localVarQueryParameter['page'] = page;
                            }
                            if (limit !== undefined) {
                                localVarQueryParameter['limit'] = limit;
                            }
                            if (pattern !== undefined) {
                                localVarQueryParameter['pattern'] = pattern;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
    };
};
exports.AdminApiAxiosParamCreator = AdminApiAxiosParamCreator;
/**
 * AdminApi - functional programming interface
 * @export
 */
var AdminApiFp = function (configuration) {
    return {
        /**
         *
         * @summary Adopt unadopted files as a repository
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminAdoptRepository: function (owner, repo, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminAdoptRepository(owner, repo, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Create an organization
         * @param {CreateOrgOption} body
         * @param {string} username username of the user that will own the created organization
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateOrg: function (body, username, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminCreateOrg(body, username, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Add a public key on behalf of a user
         * @param {string} username username of the user
         * @param {CreateKeyOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreatePublicKey: function (username, body, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminCreatePublicKey(username, body, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Create a repository on behalf of a user
         * @param {CreateRepoOption} body
         * @param {string} username username of the user. This user will own the created repository
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateRepo: function (body, username, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminCreateRepo(body, username, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Create a user
         * @param {CreateUserOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateUser: function (body, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminCreateUser(body, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List cron tasks
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCronList: function (page, limit, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminCronList(page, limit, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Run cron task
         * @param {string} task task to run
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCronRun: function (task, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminCronRun(task, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Delete unadopted files
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUnadoptedRepository: function (owner, repo, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminDeleteUnadoptedRepository(owner, repo, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Delete a user
         * @param {string} username username of user to delete
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUser: function (username, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminDeleteUser(username, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Delete a user's public key
         * @param {string} username username of user
         * @param {number} id id of the key to delete
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUserPublicKey: function (username, id, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminDeleteUserPublicKey(username, id, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Edit an existing user
         * @param {string} username username of user to edit
         * @param {EditUserOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminEditUser: function (username, body, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminEditUser(username, body, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List all organizations
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminGetAllOrgs: function (page, limit, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminGetAllOrgs(page, limit, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List all users
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminGetAllUsers: function (page, limit, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminGetAllUsers(page, limit, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List unadopted repositories
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {string} [pattern] pattern of repositories to search for
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminUnadoptedList: function (page, limit, pattern, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.AdminApiAxiosParamCreator(configuration).adminUnadoptedList(page, limit, pattern, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
    };
};
exports.AdminApiFp = AdminApiFp;
/**
 * AdminApi - factory interface
 * @export
 */
var AdminApiFactory = function (configuration, basePath, axios) {
    return {
        /**
         *
         * @summary Adopt unadopted files as a repository
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminAdoptRepository: function (owner, repo, options) {
            return exports.AdminApiFp(configuration).adminAdoptRepository(owner, repo, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Create an organization
         * @param {CreateOrgOption} body
         * @param {string} username username of the user that will own the created organization
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateOrg: function (body, username, options) {
            return exports.AdminApiFp(configuration).adminCreateOrg(body, username, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Add a public key on behalf of a user
         * @param {string} username username of the user
         * @param {CreateKeyOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreatePublicKey: function (username, body, options) {
            return exports.AdminApiFp(configuration).adminCreatePublicKey(username, body, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Create a repository on behalf of a user
         * @param {CreateRepoOption} body
         * @param {string} username username of the user. This user will own the created repository
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateRepo: function (body, username, options) {
            return exports.AdminApiFp(configuration).adminCreateRepo(body, username, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Create a user
         * @param {CreateUserOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCreateUser: function (body, options) {
            return exports.AdminApiFp(configuration).adminCreateUser(body, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary List cron tasks
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCronList: function (page, limit, options) {
            return exports.AdminApiFp(configuration).adminCronList(page, limit, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Run cron task
         * @param {string} task task to run
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminCronRun: function (task, options) {
            return exports.AdminApiFp(configuration).adminCronRun(task, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Delete unadopted files
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUnadoptedRepository: function (owner, repo, options) {
            return exports.AdminApiFp(configuration).adminDeleteUnadoptedRepository(owner, repo, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Delete a user
         * @param {string} username username of user to delete
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUser: function (username, options) {
            return exports.AdminApiFp(configuration).adminDeleteUser(username, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Delete a user's public key
         * @param {string} username username of user
         * @param {number} id id of the key to delete
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminDeleteUserPublicKey: function (username, id, options) {
            return exports.AdminApiFp(configuration).adminDeleteUserPublicKey(username, id, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Edit an existing user
         * @param {string} username username of user to edit
         * @param {EditUserOption} [body]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminEditUser: function (username, body, options) {
            return exports.AdminApiFp(configuration).adminEditUser(username, body, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary List all organizations
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminGetAllOrgs: function (page, limit, options) {
            return exports.AdminApiFp(configuration).adminGetAllOrgs(page, limit, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary List all users
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminGetAllUsers: function (page, limit, options) {
            return exports.AdminApiFp(configuration).adminGetAllUsers(page, limit, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary List unadopted repositories
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {string} [pattern] pattern of repositories to search for
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        adminUnadoptedList: function (page, limit, pattern, options) {
            return exports.AdminApiFp(configuration).adminUnadoptedList(page, limit, pattern, options).then(function (request) { return request(axios, basePath); });
        },
    };
};
exports.AdminApiFactory = AdminApiFactory;
/**
 * AdminApi - object-oriented interface
 * @export
 * @class AdminApi
 * @extends {BaseAPI}
 */
var AdminApi = /** @class */ (function (_super) {
    __extends(AdminApi, _super);
    function AdminApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     *
     * @summary Adopt unadopted files as a repository
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminAdoptRepository = function (owner, repo, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminAdoptRepository(owner, repo, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Create an organization
     * @param {CreateOrgOption} body
     * @param {string} username username of the user that will own the created organization
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminCreateOrg = function (body, username, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminCreateOrg(body, username, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Add a public key on behalf of a user
     * @param {string} username username of the user
     * @param {CreateKeyOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminCreatePublicKey = function (username, body, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminCreatePublicKey(username, body, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Create a repository on behalf of a user
     * @param {CreateRepoOption} body
     * @param {string} username username of the user. This user will own the created repository
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminCreateRepo = function (body, username, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminCreateRepo(body, username, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Create a user
     * @param {CreateUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminCreateUser = function (body, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminCreateUser(body, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary List cron tasks
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminCronList = function (page, limit, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminCronList(page, limit, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Run cron task
     * @param {string} task task to run
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminCronRun = function (task, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminCronRun(task, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Delete unadopted files
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminDeleteUnadoptedRepository = function (owner, repo, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminDeleteUnadoptedRepository(owner, repo, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Delete a user
     * @param {string} username username of user to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminDeleteUser = function (username, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminDeleteUser(username, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Delete a user's public key
     * @param {string} username username of user
     * @param {number} id id of the key to delete
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminDeleteUserPublicKey = function (username, id, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminDeleteUserPublicKey(username, id, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Edit an existing user
     * @param {string} username username of user to edit
     * @param {EditUserOption} [body]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminEditUser = function (username, body, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminEditUser(username, body, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary List all organizations
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminGetAllOrgs = function (page, limit, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminGetAllOrgs(page, limit, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary List all users
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminGetAllUsers = function (page, limit, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminGetAllUsers(page, limit, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary List unadopted repositories
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {string} [pattern] pattern of repositories to search for
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AdminApi
     */
    AdminApi.prototype.adminUnadoptedList = function (page, limit, pattern, options) {
        var _this = this;
        return exports.AdminApiFp(this.configuration).adminUnadoptedList(page, limit, pattern, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    return AdminApi;
}(base_1.BaseAPI));
exports.AdminApi = AdminApi;
