"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationApi = exports.NotificationApiFactory = exports.NotificationApiFp = exports.NotificationApiAxiosParamCreator = void 0;
/* tslint:disable */
/* eslint-disable */
/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
var axios_1 = require("axios");
// Some imports not used depending on template conditions
// @ts-ignore
var base_1 = require("../base");
/**
 * NotificationApi - axios parameter creator
 * @export
 */
var NotificationApiAxiosParamCreator = function (configuration) {
    var _this = this;
    return {
        /**
         *
         * @summary List users's notification threads
         * @param {string} [all] If true, show notifications marked as read. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
         * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
         * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetList: function (all, status_types, since, before, page, limit, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/notifications";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (all !== undefined) {
                                localVarQueryParameter['all'] = all;
                            }
                            if (status_types) {
                                localVarQueryParameter['status-types'] = status_types;
                            }
                            if (since !== undefined) {
                                localVarQueryParameter['since'] = (since instanceof Date) ?
                                    since.toISOString() :
                                    since;
                            }
                            if (before !== undefined) {
                                localVarQueryParameter['before'] = (before instanceof Date) ?
                                    before.toISOString() :
                                    before;
                            }
                            if (page !== undefined) {
                                localVarQueryParameter['page'] = page;
                            }
                            if (limit !== undefined) {
                                localVarQueryParameter['limit'] = limit;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List users's notification threads on a specific repo
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {string} [all] If true, show notifications marked as read. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
         * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
         * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetRepoList: function (owner, repo, all, status_types, since, before, page, limit, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'owner' is not null or undefined
                            if (owner === null || owner === undefined) {
                                throw new base_1.RequiredError('owner', 'Required parameter owner was null or undefined when calling notifyGetRepoList.');
                            }
                            // verify required parameter 'repo' is not null or undefined
                            if (repo === null || repo === undefined) {
                                throw new base_1.RequiredError('repo', 'Required parameter repo was null or undefined when calling notifyGetRepoList.');
                            }
                            localVarPath = "/repos/{owner}/{repo}/notifications"
                                .replace("{" + "owner" + "}", encodeURIComponent(String(owner)))
                                .replace("{" + "repo" + "}", encodeURIComponent(String(repo)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (all !== undefined) {
                                localVarQueryParameter['all'] = all;
                            }
                            if (status_types) {
                                localVarQueryParameter['status-types'] = status_types;
                            }
                            if (since !== undefined) {
                                localVarQueryParameter['since'] = (since instanceof Date) ?
                                    since.toISOString() :
                                    since;
                            }
                            if (before !== undefined) {
                                localVarQueryParameter['before'] = (before instanceof Date) ?
                                    before.toISOString() :
                                    before;
                            }
                            if (page !== undefined) {
                                localVarQueryParameter['page'] = page;
                            }
                            if (limit !== undefined) {
                                localVarQueryParameter['limit'] = limit;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get notification thread by ID
         * @param {string} id id of notification thread
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetThread: function (id, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'id' is not null or undefined
                            if (id === null || id === undefined) {
                                throw new base_1.RequiredError('id', 'Required parameter id was null or undefined when calling notifyGetThread.');
                            }
                            localVarPath = "/notifications/threads/{id}"
                                .replace("{" + "id" + "}", encodeURIComponent(String(id)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Check if unread notifications exist
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyNewAvailable: function (options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/notifications/new";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Mark notification threads as read, pinned or unread
         * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
         * @param {string} [all] If true, mark all notifications on this repo. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
         * @param {string} [to_status] Status to mark notifications as, Defaults to read.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadList: function (last_read_at, all, status_types, to_status, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/notifications";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'PUT' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (last_read_at !== undefined) {
                                localVarQueryParameter['last_read_at'] = (last_read_at instanceof Date) ?
                                    last_read_at.toISOString() :
                                    last_read_at;
                            }
                            if (all !== undefined) {
                                localVarQueryParameter['all'] = all;
                            }
                            if (status_types) {
                                localVarQueryParameter['status-types'] = status_types;
                            }
                            if (to_status !== undefined) {
                                localVarQueryParameter['to-status'] = to_status;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Mark notification threads as read, pinned or unread on a specific repo
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {string} [all] If true, mark all notifications on this repo. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
         * @param {string} [to_status] Status to mark notifications as. Defaults to read.
         * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadRepoList: function (owner, repo, all, status_types, to_status, last_read_at, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'owner' is not null or undefined
                            if (owner === null || owner === undefined) {
                                throw new base_1.RequiredError('owner', 'Required parameter owner was null or undefined when calling notifyReadRepoList.');
                            }
                            // verify required parameter 'repo' is not null or undefined
                            if (repo === null || repo === undefined) {
                                throw new base_1.RequiredError('repo', 'Required parameter repo was null or undefined when calling notifyReadRepoList.');
                            }
                            localVarPath = "/repos/{owner}/{repo}/notifications"
                                .replace("{" + "owner" + "}", encodeURIComponent(String(owner)))
                                .replace("{" + "repo" + "}", encodeURIComponent(String(repo)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'PUT' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (all !== undefined) {
                                localVarQueryParameter['all'] = all;
                            }
                            if (status_types) {
                                localVarQueryParameter['status-types'] = status_types;
                            }
                            if (to_status !== undefined) {
                                localVarQueryParameter['to-status'] = to_status;
                            }
                            if (last_read_at !== undefined) {
                                localVarQueryParameter['last_read_at'] = (last_read_at instanceof Date) ?
                                    last_read_at.toISOString() :
                                    last_read_at;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Mark notification thread as read by ID
         * @param {string} id id of notification thread
         * @param {string} [to_status] Status to mark notifications as
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadThread: function (id, to_status, options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            // verify required parameter 'id' is not null or undefined
                            if (id === null || id === undefined) {
                                throw new base_1.RequiredError('id', 'Required parameter id was null or undefined when calling notifyReadThread.');
                            }
                            localVarPath = "/notifications/threads/{id}"
                                .replace("{" + "id" + "}", encodeURIComponent(String(id)));
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'PATCH' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            if (to_status !== undefined) {
                                localVarQueryParameter['to-status'] = to_status;
                            }
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
    };
};
exports.NotificationApiAxiosParamCreator = NotificationApiAxiosParamCreator;
/**
 * NotificationApi - functional programming interface
 * @export
 */
var NotificationApiFp = function (configuration) {
    return {
        /**
         *
         * @summary List users's notification threads
         * @param {string} [all] If true, show notifications marked as read. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
         * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
         * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetList: function (all, status_types, since, before, page, limit, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.NotificationApiAxiosParamCreator(configuration).notifyGetList(all, status_types, since, before, page, limit, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary List users's notification threads on a specific repo
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {string} [all] If true, show notifications marked as read. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
         * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
         * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetRepoList: function (owner, repo, all, status_types, since, before, page, limit, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.NotificationApiAxiosParamCreator(configuration).notifyGetRepoList(owner, repo, all, status_types, since, before, page, limit, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get notification thread by ID
         * @param {string} id id of notification thread
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetThread: function (id, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.NotificationApiAxiosParamCreator(configuration).notifyGetThread(id, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Check if unread notifications exist
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyNewAvailable: function (options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.NotificationApiAxiosParamCreator(configuration).notifyNewAvailable(options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Mark notification threads as read, pinned or unread
         * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
         * @param {string} [all] If true, mark all notifications on this repo. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
         * @param {string} [to_status] Status to mark notifications as, Defaults to read.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadList: function (last_read_at, all, status_types, to_status, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.NotificationApiAxiosParamCreator(configuration).notifyReadList(last_read_at, all, status_types, to_status, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Mark notification threads as read, pinned or unread on a specific repo
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {string} [all] If true, mark all notifications on this repo. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
         * @param {string} [to_status] Status to mark notifications as. Defaults to read.
         * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadRepoList: function (owner, repo, all, status_types, to_status, last_read_at, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.NotificationApiAxiosParamCreator(configuration).notifyReadRepoList(owner, repo, all, status_types, to_status, last_read_at, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Mark notification thread as read by ID
         * @param {string} id id of notification thread
         * @param {string} [to_status] Status to mark notifications as
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadThread: function (id, to_status, options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.NotificationApiAxiosParamCreator(configuration).notifyReadThread(id, to_status, options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
    };
};
exports.NotificationApiFp = NotificationApiFp;
/**
 * NotificationApi - factory interface
 * @export
 */
var NotificationApiFactory = function (configuration, basePath, axios) {
    return {
        /**
         *
         * @summary List users's notification threads
         * @param {string} [all] If true, show notifications marked as read. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
         * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
         * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetList: function (all, status_types, since, before, page, limit, options) {
            return exports.NotificationApiFp(configuration).notifyGetList(all, status_types, since, before, page, limit, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary List users's notification threads on a specific repo
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {string} [all] If true, show notifications marked as read. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
         * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
         * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
         * @param {number} [page] page number of results to return (1-based)
         * @param {number} [limit] page size of results
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetRepoList: function (owner, repo, all, status_types, since, before, page, limit, options) {
            return exports.NotificationApiFp(configuration).notifyGetRepoList(owner, repo, all, status_types, since, before, page, limit, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Get notification thread by ID
         * @param {string} id id of notification thread
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyGetThread: function (id, options) {
            return exports.NotificationApiFp(configuration).notifyGetThread(id, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Check if unread notifications exist
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyNewAvailable: function (options) {
            return exports.NotificationApiFp(configuration).notifyNewAvailable(options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Mark notification threads as read, pinned or unread
         * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
         * @param {string} [all] If true, mark all notifications on this repo. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
         * @param {string} [to_status] Status to mark notifications as, Defaults to read.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadList: function (last_read_at, all, status_types, to_status, options) {
            return exports.NotificationApiFp(configuration).notifyReadList(last_read_at, all, status_types, to_status, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Mark notification threads as read, pinned or unread on a specific repo
         * @param {string} owner owner of the repo
         * @param {string} repo name of the repo
         * @param {string} [all] If true, mark all notifications on this repo. Default value is false
         * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
         * @param {string} [to_status] Status to mark notifications as. Defaults to read.
         * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadRepoList: function (owner, repo, all, status_types, to_status, last_read_at, options) {
            return exports.NotificationApiFp(configuration).notifyReadRepoList(owner, repo, all, status_types, to_status, last_read_at, options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Mark notification thread as read by ID
         * @param {string} id id of notification thread
         * @param {string} [to_status] Status to mark notifications as
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        notifyReadThread: function (id, to_status, options) {
            return exports.NotificationApiFp(configuration).notifyReadThread(id, to_status, options).then(function (request) { return request(axios, basePath); });
        },
    };
};
exports.NotificationApiFactory = NotificationApiFactory;
/**
 * NotificationApi - object-oriented interface
 * @export
 * @class NotificationApi
 * @extends {BaseAPI}
 */
var NotificationApi = /** @class */ (function (_super) {
    __extends(NotificationApi, _super);
    function NotificationApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     *
     * @summary List users's notification threads
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned.
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    NotificationApi.prototype.notifyGetList = function (all, status_types, since, before, page, limit, options) {
        var _this = this;
        return exports.NotificationApiFp(this.configuration).notifyGetList(all, status_types, since, before, page, limit, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary List users's notification threads on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, show notifications marked as read. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Show notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread &amp; pinned
     * @param {Date} [since] Only show notifications updated after the given time. This is a timestamp in RFC 3339 format
     * @param {Date} [before] Only show notifications updated before the given time. This is a timestamp in RFC 3339 format
     * @param {number} [page] page number of results to return (1-based)
     * @param {number} [limit] page size of results
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    NotificationApi.prototype.notifyGetRepoList = function (owner, repo, all, status_types, since, before, page, limit, options) {
        var _this = this;
        return exports.NotificationApiFp(this.configuration).notifyGetRepoList(owner, repo, all, status_types, since, before, page, limit, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Get notification thread by ID
     * @param {string} id id of notification thread
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    NotificationApi.prototype.notifyGetThread = function (id, options) {
        var _this = this;
        return exports.NotificationApiFp(this.configuration).notifyGetThread(id, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Check if unread notifications exist
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    NotificationApi.prototype.notifyNewAvailable = function (options) {
        var _this = this;
        return exports.NotificationApiFp(this.configuration).notifyNewAvailable(options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Mark notification threads as read, pinned or unread
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as, Defaults to read.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    NotificationApi.prototype.notifyReadList = function (last_read_at, all, status_types, to_status, options) {
        var _this = this;
        return exports.NotificationApiFp(this.configuration).notifyReadList(last_read_at, all, status_types, to_status, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Mark notification threads as read, pinned or unread on a specific repo
     * @param {string} owner owner of the repo
     * @param {string} repo name of the repo
     * @param {string} [all] If true, mark all notifications on this repo. Default value is false
     * @param {Array&lt;string&gt;} [status_types] Mark notifications with the provided status types. Options are: unread, read and/or pinned. Defaults to unread.
     * @param {string} [to_status] Status to mark notifications as. Defaults to read.
     * @param {Date} [last_read_at] Describes the last point that notifications were checked. Anything updated since this time will not be updated.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    NotificationApi.prototype.notifyReadRepoList = function (owner, repo, all, status_types, to_status, last_read_at, options) {
        var _this = this;
        return exports.NotificationApiFp(this.configuration).notifyReadRepoList(owner, repo, all, status_types, to_status, last_read_at, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Mark notification thread as read by ID
     * @param {string} id id of notification thread
     * @param {string} [to_status] Status to mark notifications as
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof NotificationApi
     */
    NotificationApi.prototype.notifyReadThread = function (id, to_status, options) {
        var _this = this;
        return exports.NotificationApiFp(this.configuration).notifyReadThread(id, to_status, options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    return NotificationApi;
}(base_1.BaseAPI));
exports.NotificationApi = NotificationApi;
