"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SettingsApi = exports.SettingsApiFactory = exports.SettingsApiFp = exports.SettingsApiAxiosParamCreator = void 0;
/* tslint:disable */
/* eslint-disable */
/**
 * Gitea API.
 * This documentation describes the Gitea API.
 *
 * OpenAPI spec version: 1.15.0+dev-49-gaee5ef005
 *
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
var axios_1 = require("axios");
// Some imports not used depending on template conditions
// @ts-ignore
var base_1 = require("../base");
/**
 * SettingsApi - axios parameter creator
 * @export
 */
var SettingsApiAxiosParamCreator = function (configuration) {
    var _this = this;
    return {
        /**
         *
         * @summary Get instance's global settings for api
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralAPISettings: function (options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/settings/api";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get instance's global settings for Attachment
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralAttachmentSettings: function (options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/settings/attachment";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get instance's global settings for repositories
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralRepositorySettings: function (options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/settings/repository";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get instance's global settings for ui
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralUISettings: function (options) {
            if (options === void 0) { options = {}; }
            return __awaiter(_this, void 0, void 0, function () {
                var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, localVarApiKeyValue, _b, localVarApiKeyValue, _c, localVarApiKeyValue, _d, localVarApiKeyValue, _e, localVarApiKeyValue, _f, query, key, key, headersFromBaseOptions;
                return __generator(this, function (_g) {
                    switch (_g.label) {
                        case 0:
                            localVarPath = "/settings/ui";
                            localVarUrlObj = new URL(localVarPath, 'https://example.com');
                            if (configuration) {
                                baseOptions = configuration.baseOptions;
                            }
                            localVarRequestOptions = __assign(__assign({ method: 'GET' }, baseOptions), options);
                            localVarHeaderParameter = {};
                            localVarQueryParameter = {};
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                            return [4 /*yield*/, configuration.apiKey("access_token")];
                        case 1:
                            _a = _g.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, configuration.apiKey];
                        case 3:
                            _a = _g.sent();
                            _g.label = 4;
                        case 4:
                            localVarApiKeyValue = _a;
                            localVarQueryParameter["access_token"] = localVarApiKeyValue;
                            _g.label = 5;
                        case 5:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 10];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 7];
                            return [4 /*yield*/, configuration.apiKey("Authorization")];
                        case 6:
                            _b = _g.sent();
                            return [3 /*break*/, 9];
                        case 7: return [4 /*yield*/, configuration.apiKey];
                        case 8:
                            _b = _g.sent();
                            _g.label = 9;
                        case 9:
                            localVarApiKeyValue = _b;
                            localVarHeaderParameter["Authorization"] = localVarApiKeyValue;
                            _g.label = 10;
                        case 10:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 15];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 12];
                            return [4 /*yield*/, configuration.apiKey("Sudo")];
                        case 11:
                            _c = _g.sent();
                            return [3 /*break*/, 14];
                        case 12: return [4 /*yield*/, configuration.apiKey];
                        case 13:
                            _c = _g.sent();
                            _g.label = 14;
                        case 14:
                            localVarApiKeyValue = _c;
                            localVarHeaderParameter["Sudo"] = localVarApiKeyValue;
                            _g.label = 15;
                        case 15:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 20];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 17];
                            return [4 /*yield*/, configuration.apiKey("sudo")];
                        case 16:
                            _d = _g.sent();
                            return [3 /*break*/, 19];
                        case 17: return [4 /*yield*/, configuration.apiKey];
                        case 18:
                            _d = _g.sent();
                            _g.label = 19;
                        case 19:
                            localVarApiKeyValue = _d;
                            localVarQueryParameter["sudo"] = localVarApiKeyValue;
                            _g.label = 20;
                        case 20:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 25];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 22];
                            return [4 /*yield*/, configuration.apiKey("X-GITEA-OTP")];
                        case 21:
                            _e = _g.sent();
                            return [3 /*break*/, 24];
                        case 22: return [4 /*yield*/, configuration.apiKey];
                        case 23:
                            _e = _g.sent();
                            _g.label = 24;
                        case 24:
                            localVarApiKeyValue = _e;
                            localVarHeaderParameter["X-GITEA-OTP"] = localVarApiKeyValue;
                            _g.label = 25;
                        case 25:
                            if (!(configuration && configuration.apiKey)) return [3 /*break*/, 30];
                            if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 27];
                            return [4 /*yield*/, configuration.apiKey("token")];
                        case 26:
                            _f = _g.sent();
                            return [3 /*break*/, 29];
                        case 27: return [4 /*yield*/, configuration.apiKey];
                        case 28:
                            _f = _g.sent();
                            _g.label = 29;
                        case 29:
                            localVarApiKeyValue = _f;
                            localVarQueryParameter["token"] = localVarApiKeyValue;
                            _g.label = 30;
                        case 30:
                            query = new URLSearchParams(localVarUrlObj.search);
                            for (key in localVarQueryParameter) {
                                query.set(key, localVarQueryParameter[key]);
                            }
                            for (key in options.query) {
                                query.set(key, options.query[key]);
                            }
                            localVarUrlObj.search = (new URLSearchParams(query)).toString();
                            headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                            localVarRequestOptions.headers = __assign(__assign(__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                            return [2 /*return*/, {
                                    url: localVarUrlObj.pathname + localVarUrlObj.search + localVarUrlObj.hash,
                                    options: localVarRequestOptions,
                                }];
                    }
                });
            });
        },
    };
};
exports.SettingsApiAxiosParamCreator = SettingsApiAxiosParamCreator;
/**
 * SettingsApi - functional programming interface
 * @export
 */
var SettingsApiFp = function (configuration) {
    return {
        /**
         *
         * @summary Get instance's global settings for api
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralAPISettings: function (options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.SettingsApiAxiosParamCreator(configuration).getGeneralAPISettings(options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get instance's global settings for Attachment
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralAttachmentSettings: function (options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.SettingsApiAxiosParamCreator(configuration).getGeneralAttachmentSettings(options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get instance's global settings for repositories
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralRepositorySettings: function (options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.SettingsApiAxiosParamCreator(configuration).getGeneralRepositorySettings(options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
        /**
         *
         * @summary Get instance's global settings for ui
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralUISettings: function (options) {
            return __awaiter(this, void 0, void 0, function () {
                var localVarAxiosArgs;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, exports.SettingsApiAxiosParamCreator(configuration).getGeneralUISettings(options)];
                        case 1:
                            localVarAxiosArgs = _a.sent();
                            return [2 /*return*/, function (axios, basePath) {
                                    if (axios === void 0) { axios = axios_1.default; }
                                    if (basePath === void 0) { basePath = base_1.BASE_PATH; }
                                    var axiosRequestArgs = __assign(__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                    return axios.request(axiosRequestArgs);
                                }];
                    }
                });
            });
        },
    };
};
exports.SettingsApiFp = SettingsApiFp;
/**
 * SettingsApi - factory interface
 * @export
 */
var SettingsApiFactory = function (configuration, basePath, axios) {
    return {
        /**
         *
         * @summary Get instance's global settings for api
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralAPISettings: function (options) {
            return exports.SettingsApiFp(configuration).getGeneralAPISettings(options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Get instance's global settings for Attachment
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralAttachmentSettings: function (options) {
            return exports.SettingsApiFp(configuration).getGeneralAttachmentSettings(options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Get instance's global settings for repositories
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralRepositorySettings: function (options) {
            return exports.SettingsApiFp(configuration).getGeneralRepositorySettings(options).then(function (request) { return request(axios, basePath); });
        },
        /**
         *
         * @summary Get instance's global settings for ui
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getGeneralUISettings: function (options) {
            return exports.SettingsApiFp(configuration).getGeneralUISettings(options).then(function (request) { return request(axios, basePath); });
        },
    };
};
exports.SettingsApiFactory = SettingsApiFactory;
/**
 * SettingsApi - object-oriented interface
 * @export
 * @class SettingsApi
 * @extends {BaseAPI}
 */
var SettingsApi = /** @class */ (function (_super) {
    __extends(SettingsApi, _super);
    function SettingsApi() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     *
     * @summary Get instance's global settings for api
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    SettingsApi.prototype.getGeneralAPISettings = function (options) {
        var _this = this;
        return exports.SettingsApiFp(this.configuration).getGeneralAPISettings(options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Get instance's global settings for Attachment
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    SettingsApi.prototype.getGeneralAttachmentSettings = function (options) {
        var _this = this;
        return exports.SettingsApiFp(this.configuration).getGeneralAttachmentSettings(options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Get instance's global settings for repositories
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    SettingsApi.prototype.getGeneralRepositorySettings = function (options) {
        var _this = this;
        return exports.SettingsApiFp(this.configuration).getGeneralRepositorySettings(options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    /**
     *
     * @summary Get instance's global settings for ui
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    SettingsApi.prototype.getGeneralUISettings = function (options) {
        var _this = this;
        return exports.SettingsApiFp(this.configuration).getGeneralUISettings(options).then(function (request) { return request(_this.axios, _this.basePath); });
    };
    return SettingsApi;
}(base_1.BaseAPI));
exports.SettingsApi = SettingsApi;
